Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface RemoteApis.RaSAG.SAGLMAC

Enclosing interface:
  RemoteApis.RaSAG

    public static interface RemoteApis.RaSAG.SAGLMAC

It is for SAG Local Message Authentication Code (LMAC) APIs.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`void` | `compute(SAGMessage msg)` Computes local authentication code on the specified SAGMessage.
`java.lang.String` | `compute(java.lang.String address)` Computes local authentication code by use of the specified address.
`java.lang.String` | `getAlgorithm()` Gets the authentication algorithm.
`java.lang.String` | `getKey()` Gets the authentication key.
`void` | `setAlgorithm(java.lang.String algorithm)` Sets the authentication algorithm.
`void` | `setKey(java.lang.String key)` Sets the authentication key.
`void` | `verify(SAGMessage msg)` Verifies local authentication code on the specified SAGMessage.

Method Detail

### compute

    void compute(SAGMessage msg)
                 throws SAGApplicationException

  Computes local authentication code on the specified SAGMessage.

  Parameters:
    `msg` - SAGMessage to be computed.
  Throws:
    `SAGApplicationException` - upon error.

### compute

    java.lang.String compute(java.lang.String address)
                             throws SAGApplicationException

  Computes local authentication code by use of the specified address.

  Parameters:
    `address` - The endpoint address.
  Returns:
    The local authentication code
  Throws:
    `SAGApplicationException` - upon error.

### verify

    void verify(SAGMessage msg)
                throws SAGApplicationException

  Verifies local authentication code on the specified SAGMessage. The exception will be thrown if the verification fails.

  Parameters:
    `msg` - SAGMessage to be verified.
  Throws:
    `SAGApplicationException` - upon error.

### getKey

    java.lang.String getKey()

  Gets the authentication key.

  Returns:
    Authentication key

### getAlgorithm

    java.lang.String getAlgorithm()

  Gets the authentication algorithm.

  Returns:
    Authentication algorithm

### setKey

    void setKey(java.lang.String key)

  Sets the authentication key.

  Parameters:
    `key` - Key to be set.

### setAlgorithm

    void setAlgorithm(java.lang.String algorithm)

  Sets the authentication algorithm.

  Parameters:
    `algorithm` - Algorithm to be set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.